[arch-commits] Commit in dvdrtools/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 29 18:46:33 EDT 2009


    Date: Wednesday, April 29, 2009 @ 18:46:32
  Author: eric
Revision: 37011

Merged revisions 356,2304,37010 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/dvdrtools/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2304 | paul | 2008-05-31 01:00:40 -0400 (Sat, 31 May 2008) | 2 lines
  
  Added licenses for 64 packages.
........
  r37010 | eric | 2009-04-29 18:46:12 -0400 (Wed, 29 Apr 2009) | 2 lines
  
  upgpkg: dvdrtools 0.3.1-1
      Upstream update, Updated url, Added license, Added file depends, FHS man pages
........

Modified:
  dvdrtools/repos/extra-x86_64/	(properties)
  dvdrtools/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)


Property changes on: dvdrtools/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /dvdrtools/trunk:1
   + /dvdrtools/trunk:1-37010

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-29 22:46:12 UTC (rev 37010)
+++ extra-x86_64/PKGBUILD	2009-04-29 22:46:32 UTC (rev 37011)
@@ -3,19 +3,20 @@
 # Contributor: dorphell <dorphell at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=dvdrtools
-pkgver=0.2.1
-pkgrel=2
-pkgdesc="dvdrtools is a fork of cdrtools, with the primary goal of supporting writable DVD drives"
+pkgver=0.3.1
+pkgrel=1
+pkgdesc="A fork of cdrtools, with the primary goal of supporting writable DVD drives"
 arch=(i686 x86_64)
-depends=('glibc')
+url="http://savannah.nongnu.org/projects/dvdrtools/"
+license=('GPL')
+depends=('glibc' 'file')
 conflicts=('cdrkit')
-source=(http://savannah.nongnu.org/download/dvdrtools/$pkgname-$pkgver.tar.gz)
-url="http://www.arklinux.org/projects/dvdrtools"
-md5sums=('e82d359137e716e8c0b04d5c73bd3e79')
+source=(ftp://ftp.archlinux.org/other/dvdrtools/$pkgname-$pkgver.tar.gz)
+md5sums=('5707b7e877b853e258cd738938833006')
 
 build() {
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --prefix=/usr
+	cd $srcdir/$pkgname-$pkgver
+	./configure --prefix=/usr --mandir=/usr/share/man || return 1
 	make || return 1
-	make prefix=$startdir/pkg/usr install
+	make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list